#set( $symbol_pound = '#' )
#set( $symbol_dollar = '$' )
#set( $symbol_escape = '\' )
${symbol_pound} ${project-name}
${project-description}

This project has been generated by the Maven archetype
[${archetype-artifactId}-${archetype-version}](http://docs.camunda.org/latest/guides/user-guide/#process-applications-maven-project-templates-archetypes).

${symbol_pound}${symbol_pound} Show me the important parts!
[BPMN Process](src/main/resources/process.bpmn)

![BPMN Process](src/main/resources/process.png)

${symbol_pound}${symbol_pound} How does it work?

${symbol_pound}${symbol_pound} How to use it?

${symbol_pound}${symbol_pound}${symbol_pound} Unit Test
You can run the JUnit test [InMemoryH2Test](src/main/resources/archetype-resources/src/test/java/InMemoryH2Test.java) in your IDE or using:
```bash
mvn clean test
```

${symbol_pound}${symbol_pound}${symbol_pound} Deployment to an Application Server
You can also build and deploy the process application to an application server.
For an easy start you can download JBoss Wildfly with a pre-installed Camunda
from our [Download Page](https://camunda.com/download/).

${symbol_pound}${symbol_pound}${symbol_pound}${symbol_pound} Manually
1. Build the application using:
```bash
mvn clean package
```
2. Copy the *.war file from the `target` directory to the deployment directory
of your application server e.g. `wildfly/standalone/deployments`.
For a faster 1-click (re-)deployment see the alternatives below.

${symbol_pound}${symbol_pound}${symbol_pound}${symbol_pound} Wildfly (using Wildfly Maven Plugin)
1. Build and deploy the process application using:
```bash
mvn clean wildfly:deploy
```

${symbol_pound}${symbol_pound}${symbol_pound}${symbol_pound} JBoss AS7 (using JBoss AS Maven Plugin)
1. Build and deploy the process application using:
```bash
mvn clean jboss-as:deploy
```

${symbol_pound}${symbol_pound}${symbol_pound}${symbol_pound} Arquillian Test
There is also an `ArquillianTest`, which by default connects to a
Camunda instance running locally on a Wildfly application server.

1. Build and run the Arquillian test on Wildfly using:
```bash
mvn clean test -Parq-wildfly-remote
```
or on JBoss AS 7 using:
```bash
mvn clean test -Parq-jbossas-remote
```

${symbol_pound}${symbol_pound}${symbol_pound}${symbol_pound} Ant (and Maven)
1. First copy the file `build.properties.example` to `build.properties`
2. Edit the `build.properties` file and put the path to your application server inside it.
3. Build and deploy the process application using:
```bash
ant deploy.jboss
```

Alternatively, you can also copy the `build.properties` file to `${symbol_dollar}{user.home}/.camunda/build.properties`
to have a central configuration that works with all projects generated by the
[Camunda Maven Archetypes](http://docs.camunda.org/latest/guides/user-guide/#process-applications-maven-project-templates-archetypes) e.g. the [examples provided by the Camunda Consulting Team](https://github.com/camunda-consulting/code).

${symbol_pound}${symbol_pound}${symbol_pound} Run and Inspect with Tasklist and Cockpit
Once you deployed the application you can run it using
[Camunda Tasklist](http://docs.camunda.org/latest/guides/user-guide/#tasklist)
and inspect it using
[Camunda Cockpit](http://docs.camunda.org/latest/guides/user-guide/#cockpit).

${symbol_pound}${symbol_pound} Environment Restrictions
Built and tested against Camunda BPM version ${camunda-version}.

${symbol_pound}${symbol_pound} Known Limitations

${symbol_pound}${symbol_pound} License
[Apache License, Version 2.0](http://www.apache.org/licenses/LICENSE-2.0).

<!-- HTML snippet for index page
  <tr>
    <td><img src="snippets/${artifactId}/src/main/resources/process.png" width="100"></td>
    <td><a href="snippets/${artifactId}">${project-name}</a></td>
    <td>${project-description}</td>
  </tr>
-->
<!-- Tweet
New @Camunda example: ${project-name} - ${project-description} https://github.com/camunda-consulting/code/tree/master/snippets/${artifactId}
-->